GStreamer Plugins 0.8.3 released
Posted on: 08/02/2004 05:56 PM

GStreamer Plugins 0.8.3 has been released

The GStreamer team is happy to announce a new release in the 0.8.x stable series of the GStreamer Plugins.

The 0.8.x series is a stable series aimed at end users. It is not API or ABI compatible with the stable 0.6.x series. It is, however, parallel installable with the 0.6.x series.

This module contains plugins providing media encoding and decoding, conversion, effects, and other elements that provide actual media handling functionality to the core. You need the GStreamer core module to make them work. The versions do not need to match exactly, as long as all of them are in the 0.8.x series.

The FFmpeg-based decoder element has been moved to its own module. If you want support for a lot of popular video formats, you need to install this module along with the GStreamer Core and Plugins. An FFmpeg-based colorspace element has been added to the Plugins however.

Features of this release

* Parallel installability with 0.6.x series
* Internationalization
* New translation in this release: Czech
* New translation in this release: Hungarian
* Translations: af az cs en_GB hu nl sr sv uk
* pixel aspect ratio conversion
* tcpserversink fixes and additions
* oggdemux fixes
* theoraenc and theoradec fixes
* ximagesink and xvimagesink fixes
* ladspa fixes
* videoscale and ffmpegcolorspace fixes for stride
* mpeg and dvd fixes
* win32 project file additions
* new elements: playbin and decodebin
* new element: multifdsink
* new element: pngdec
* new element: alpha
* new element: multifilesink

Bugs fixed in this release

* 141906 : hang on removing ximagesink from a pipeline
* 142432 : Wrong sink MIME type in shout2send
* 143222 : [oggdemux] Optimize tag reading
* 143548 : Please update libtool to fix build on arm
* 143703 : duration always 0 for some (gst produced) .ogg files
* 144624 : wavenc doesn't close file properly
* 144753 : libgstinterfaces should be split, or: 'volume' should not...
* 144815 : [alsasink] gst_element_set_time_delay() assertion failure...
* 144866 : [flac] seeking broken, duration not set on buffers [PATCH]
* 144941 : alsasink assertion failure on ctrl+z and fg
* 145031 : totem CVS won't compile because of gst-play ...
* 145088 : gnome-volume-control has unlocalized volume names.
* 145118 : Compile error (gcc 2.95, alsa)
* 145336 : pipeline broke-stonecold
* 147969 : LADSPA plugin should sanitize the info from the .so's to ...
* 148021 : Bug in lib-riff
* 148023 : [ximagesink] doesn't work with Xnest
* 148043 : audioconvert
* 148289 : mad plugin crashes on Sun
* 148505 : [level] for silence peak is reported wrongly
* 148986 : [lame] bug in negotiation

Download
Homepage


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/gstreamer_plugins_083_released.html)